Browse Source

tests: Do not hide error return when using run-all.sh

Signed-hostap: Jouni Malinen <j@w1.fi>
Jouni Malinen 12 years ago
parent
commit
89ffe06d68
1 changed files with 5 additions and 1 deletions
  1. 5 1
      tests/hwsim/run-all.sh

+ 5 - 1
tests/hwsim/run-all.sh

@@ -1,5 +1,9 @@
 #!/bin/sh
 
+errors=0
 ./start-p2p.sh
-./run-p2p-tests.py
+./run-p2p-tests.py || errors=1
 ./stop-wifi.sh
+if [ $errors -gt 0 ]; then
+    exit 1
+fi